Loading...
Searching...
No Matches
gx_gui::UiBuilderImpl Class Reference

`#include <gx_ui_builder.h>`

Inheritance diagram for gx_gui::UiBuilderImpl:

## Public Member Functions

| UiBuilderImpl (PluginDict *i, StackBoxBuilder *b, std::vector< PluginUI * > *pl, PluginUI *pluginui)
| ~UiBuilderImpl ()
bool | load_unit (PluginDef *pl)

## Protected Member Functions

virtual bool | load (gx_engine::Plugin *p)

## Static Protected Member Functions

static void | openTabBox_ (const char *label)
static void | openVerticalBox_ (const char *label)
static void | openVerticalBox1_ (const char *label)
static void | openVerticalBox2_ (const char *label)
static void | openHorizontalBox_ (const char *label)
static void | openHorizontalhideBox_ (const char *label)
static void | openHorizontalTableBox_ (const char *label)
static void | openFrameBox_ (const char *label)
static void | openFlipLabelBox_ (const char *label)
static void | openpaintampBox_ (const char *label)
static void | insertSpacer_ ()
static void | set_next_flags_ (int flags)
static void | create_mid_rackknob_ (const char *id, const char *label)
static void | create_small_rackknob_ (const char *id, const char *label)
static void | create_small_rackknobr_ (const char *id, const char *label)
static void | create_big_rackknob_ (const char *id, const char *label)
static void | create_master_slider_ (const char *id, const char *label)
static void | create_feedback_slider_ (const char *id, const char *label)
static void | create_selector_no_caption_ (const char *id)
static void | create_selector_ (const char *id, const char *label)
static void | create_simple_meter_ (const char *id)
static void | create_simple_c_meter_ (const char *id, const char *idl, const char *label)
static void | create_spin_value_ (const char *id, const char *label)
static void | create_switch_no_caption_ (const char *sw_type, const char *id)
static void | create_feedback_switch_ (const char *sw_type, const char *id)
static void | create_fload_switch_ (const char *sw_type, const char *id, const char *idf)
static void | create_switch_ (const char *sw_type, const char *id, const char *label)
static void | create_wheel_ (const char *id, const char *label)
static void | create_port_display_ (const char *id, const char *label)
static void | create_p_display_ (const char *id, const char *idl, const char *idh)
static void | create_simple_spin_value_ (const char *id)
static void | create_eq_rackslider_no_caption_ (const char *id)
static void | closeBox_ ()
static void | load_glade_ (const char *data)
static void | load_glade_file_ (const char *fname)

## Protected Attributes

PluginDict & | plugin_dict
std::vector< PluginUI * > * | pluginlist

## Static Protected Attributes

static StackBoxBuilder * | intf

## Friends

class | gx_engine::GxMachineRemote

## Additional Inherited Members

Public Attributes inherited from UiBuilder
PluginDef * | plugin
void(* | load_glade )(const char *data)
void(* | load_glade_file )(const char *fname)
void(* | openTabBox )(const char *label)
void(* | openVerticalBox )(const char *label)
void(* | openVerticalBox1 )(const char *label)
void(* | openVerticalBox2 )(const char *label)
void(* | openHorizontalBox )(const char *label)
void(* | openHorizontalhideBox )(const char *label)
void(* | openHorizontalTableBox )(const char *label)
void(* | openFrameBox )(const char *label)
void(* | openFlipLabelBox )(const char *label)
void(* | openpaintampBox )(const char *label)
void(* | closeBox )()
void(* | insertSpacer )()
void(* | set_next_flags )(int flags)
void(* | create_master_slider )(const char *id, const char *label)
void(* | create_feedback_slider )(const char *id, const char *label)
void(* | create_small_rackknob )(const char *id, const char *label)
void(* | create_big_rackknob )(const char *id, const char *label)
void(* | create_selector_no_caption )(const char *id)
void(* | create_switch_no_caption )(const char *sw_type, const char *id)
void(* | create_feedback_switch )(const char *sw_type, const char *id)
void(* | create_spin_value )(const char *id, const char *label)
void(* | create_port_display )(const char *id, const char *label)
void(* | create_p_display )(const char *id, const char *idl, const char *idh)
void(* | create_switch )(const char *sw_type, const char *id, const char *label)
void(* | create_selector )(const char *id, const char *label)
void(* | create_simple_meter )(const char *id)
void(* | create_simple_c_meter )(const char *id, const char *idl, const char *label)
void(* | create_small_rackknobr )(const char *id, const char *label)
void(* | create_wheel )(const char *id, const char *label)
void(* | create_simple_spin_value )(const char *id)
void(* | create_eq_rackslider_no_caption )(const char *id)
void(* | create_fload_switch )(const char *sw_type, const char *id, const char *idf)
void(* | create_mid_rackknob )(const char *id, const char *label)

## Detailed Description

Definition at line 181 of file gx_ui_builder.h.

## Constructor & Destructor Documentation

## UiBuilderImpl()

gx_gui::UiBuilderImpl::UiBuilderImpl | ( | PluginDict * | i,
|  | StackBoxBuilder * | b,
|  | std::vector< PluginUI * > * | pl,
|  | PluginUI * | pluginui )

## ~UiBuilderImpl()

gx_gui::UiBuilderImpl::~UiBuilderImpl | ( |  | ) |

## Member Function Documentation

## closeBox_()

void gx_gui::UiBuilderImpl::closeBox_ | ( |  | ) |

static protected

## create_big_rackknob_()

void gx_gui::UiBuilderImpl::create_big_rackknob_ | ( | const char * | id,
|  | const char * | label )

static protected

## create_eq_rackslider_no_caption_()

void gx_gui::UiBuilderImpl::create_eq_rackslider_no_caption_ | ( | const char * | id | ) |

static protected

## create_feedback_slider_()

void gx_gui::UiBuilderImpl::create_feedback_slider_ | ( | const char * | id,
|  | const char * | label )

static protected

## create_feedback_switch_()

void gx_gui::UiBuilderImpl::create_feedback_switch_ | ( | const char * | sw_type,
|  | const char * | id )

static protected

## create_fload_switch_()

void gx_gui::UiBuilderImpl::create_fload_switch_ | ( | const char * | sw_type,
|  | const char * | id,
|  | const char * | idf )

static protected

## create_master_slider_()

void gx_gui::UiBuilderImpl::create_master_slider_ | ( | const char * | id,
|  | const char * | label )

static protected

## create_mid_rackknob_()

void gx_gui::UiBuilderImpl::create_mid_rackknob_ | ( | const char * | id,
|  | const char * | label )

static protected

## create_p_display_()

void gx_gui::UiBuilderImpl::create_p_display_ | ( | const char * | id,
|  | const char * | idl,
|  | const char * | idh )

static protected

## create_port_display_()

void gx_gui::UiBuilderImpl::create_port_display_ | ( | const char * | id,
|  | const char * | label )

static protected

## create_selector_()

void gx_gui::UiBuilderImpl::create_selector_ | ( | const char * | id,
|  | const char * | label )

static protected

## create_selector_no_caption_()

void gx_gui::UiBuilderImpl::create_selector_no_caption_ | ( | const char * | id | ) |

static protected

## create_simple_c_meter_()

void gx_gui::UiBuilderImpl::create_simple_c_meter_ | ( | const char * | id,
|  | const char * | idl,
|  | const char * | label )

static protected

## create_simple_meter_()

void gx_gui::UiBuilderImpl::create_simple_meter_ | ( | const char * | id | ) |

static protected

## create_simple_spin_value_()

void gx_gui::UiBuilderImpl::create_simple_spin_value_ | ( | const char * | id | ) |

static protected

## create_small_rackknob_()

void gx_gui::UiBuilderImpl::create_small_rackknob_ | ( | const char * | id,
|  | const char * | label )

static protected

## create_small_rackknobr_()

void gx_gui::UiBuilderImpl::create_small_rackknobr_ | ( | const char * | id,
|  | const char * | label )

static protected

## create_spin_value_()

void gx_gui::UiBuilderImpl::create_spin_value_ | ( | const char * | id,
|  | const char * | label )

static protected

## create_switch_()

void gx_gui::UiBuilderImpl::create_switch_ | ( | const char * | sw_type,
|  | const char * | id,
|  | const char * | label )

static protected

## create_switch_no_caption_()

void gx_gui::UiBuilderImpl::create_switch_no_caption_ | ( | const char * | sw_type,
|  | const char * | id )

static protected

## create_wheel_()

void gx_gui::UiBuilderImpl::create_wheel_ | ( | const char * | id,
|  | const char * | label )

static protected

## insertSpacer_()

void gx_gui::UiBuilderImpl::insertSpacer_ | ( |  | ) |

static protected

## load()

virtual bool gx_gui::UiBuilderImpl::load | ( | gx_engine::Plugin * | p | ) |

protected virtual

Implements gx_engine::UiBuilderBase.

## load_glade_()

void gx_gui::UiBuilderImpl::load_glade_ | ( | const char * | data | ) |

static protected

## load_glade_file_()

void gx_gui::UiBuilderImpl::load_glade_file_ | ( | const char * | fname | ) |

static protected

## load_unit()

bool gx_gui::UiBuilderImpl::load_unit | ( | PluginDef * | pl | ) |

## openFlipLabelBox_()

void gx_gui::UiBuilderImpl::openFlipLabelBox_ | ( | const char * | label | ) |

static protected

## openFrameBox_()

void gx_gui::UiBuilderImpl::openFrameBox_ | ( | const char * | label | ) |

static protected

## openHorizontalBox_()

void gx_gui::UiBuilderImpl::openHorizontalBox_ | ( | const char * | label | ) |

static protected

## openHorizontalhideBox_()

void gx_gui::UiBuilderImpl::openHorizontalhideBox_ | ( | const char * | label | ) |

static protected

## openHorizontalTableBox_()

void gx_gui::UiBuilderImpl::openHorizontalTableBox_ | ( | const char * | label | ) |

static protected

## openpaintampBox_()

void gx_gui::UiBuilderImpl::openpaintampBox_ | ( | const char * | label | ) |

static protected

## openTabBox_()

void gx_gui::UiBuilderImpl::openTabBox_ | ( | const char * | label | ) |

static protected

## openVerticalBox1_()

void gx_gui::UiBuilderImpl::openVerticalBox1_ | ( | const char * | label | ) |

static protected

## openVerticalBox2_()

void gx_gui::UiBuilderImpl::openVerticalBox2_ | ( | const char * | label | ) |

static protected

## openVerticalBox_()

void gx_gui::UiBuilderImpl::openVerticalBox_ | ( | const char * | label | ) |

static protected

## set_next_flags_()

void gx_gui::UiBuilderImpl::set_next_flags_ | ( | int | flags | ) |

static protected

## Friends And Related Symbol Documentation

## gx_engine::GxMachineRemote

friend class gx_engine::GxMachineRemote

friend

Definition at line 227 of file gx_ui_builder.h.

## Member Data Documentation

## intf

StackBoxBuilder* gx_gui::UiBuilderImpl::intf

static protected

Definition at line 185 of file gx_ui_builder.h.

## plugin_dict

PluginDict& gx_gui::UiBuilderImpl::plugin_dict

protected

Definition at line 183 of file gx_ui_builder.h.

## pluginlist

std::vector<PluginUI*>* gx_gui::UiBuilderImpl::pluginlist

protected

Definition at line 184 of file gx_ui_builder.h.

The documentation for this class was generated from the following file:

- src/headers/gx_ui_builder.h